Package com.smartgwt.client.bean

# Enum BeanValueType.Convertability

java.lang.Object
java.lang.Enum<BeanValueType.Convertability>
com.smartgwt.client.bean.BeanValueType.Convertability

All Implemented Interfaces:
  `Serializable`, `Comparable<BeanValueType.Convertability>`, `Constable`

Enclosing class:
  BeanValueType<ValueType>

public static enum BeanValueType.Convertability extends Enum<BeanValueType.Convertability>
An enum used to indicate how well a BeanValueType can handle a conversion. Used to choose among multiple getters or setters, if available.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EXACT`
  The value is of this type, so conversion is exact.
  `PREFERRED`
  The value can be converted to the type, and this type is preferrable to others.
  `SUPPORTED`
  The value can be converted to the type, but other types might handle it better..
  `UNSUPPORTED`
  The value cannot be converted to the type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BeanValueType.Convertability`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static BeanValueType.Convertability[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNSUPPORTED

    public static final BeanValueType.Convertability UNSUPPORTED
    The value cannot be converted to the type.

  - ### SUPPORTED

    public static final BeanValueType.Convertability SUPPORTED
    The value can be converted to the type, but other types might handle it better..

  - ### PREFERRED

    public static final BeanValueType.Convertability PREFERRED
    The value can be converted to the type, and this type is preferrable to others.

  - ### EXACT

    public static final BeanValueType.Convertability EXACT
    The value is of this type, so conversion is exact.

- ## Method Details

  - ### values

    public static BeanValueType.Convertability[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static BeanValueType.Convertability valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null